
%name 'demod';

%signature 
   P::c2 / 1;
   P::c5 / 1;
   P::c6 / 1;
   P::c7 / 1;
   P::c8 / 1;
   P::c9 / 1;
   P::c10 / 1;
   P::c11 / 1;

   P::f1 / 3;
   P::f3 / 3;
   P::f4 / 2;

%rulesystem
   P::c2-{F}(V0), P::f1-{F}(V0,V0,V1), P::f1-{F}(V3,V0,V7), 
   P::f1-{F}(V2,V3,V5), P::f1-{F}(V5,V4,V6), P::f1-{F}(V6,V7,V8), 
   P::f1-{F}(V2,V8,V9), P::f1-{F}(V9,V1,V10), V10 == V4 ; 

   P::c2-{F}(V0), P::f1-{F}(V0,V0,V1), P::f4-{F}(V2,V3), P::f1-{F}(V2,V3,V4), 
   V0 == V4 ; 

   P::c2-{F}(V0), P::f1-{F}(V0,V0,V1), P::f4-{F}(V2,V5), P::f4-{F}(V3,V6), 
   P::f1-{F}(V2,V3,V4), P::f3-{F}(V5,V6,V7), V4 == V7 ;

   P::c2-{F}(V0), P::f1-{F}(V0,V0,V1), P::c9-{F}(V2), P::c10-{F}(V3), 
   P::f3-{F}(V2,V3,V4), P::c11-{F}(V5), P::f3-{F}(V4,V5,V8), 
   P::f3-{F}(V3,V5,V7), P::f3-{F}(V2,V7,V8), P::c7-{F}(V9), P::f4-{F}(V9,V10), 
   P::f3-{F}(V10,V9,V11), P::c8-{F}(V12), P::f3-{F}(V11,V12,V12), 
   P::c5-{F}(V14), P::f4-{F}(V14,V15), P::f3-{F}(V15,V14,V19), 
   P::c6-{F}(V17), P::f4-{F}(V17,V18), P::f3-{F}(V18,V17,V19) ;

   #-{F} V0, #-{F} V1 | EXISTS V2: P::f1-{T}(V0,V1,V2) ; 

   #-{F} V0, #-{F} V1 | EXISTS V2: P::f3-{T}(V0,V1,V2) ; 

   #-{F} V0 | EXISTS V1: P::f4-{T}(V0,V1) ; 

   | EXISTS V0: P::c2-{T}(V0) ; 

   | EXISTS V0: P::c5-{T}(V0) ; 

   | EXISTS V0: P::c6-{T}(V0) ; 

   | EXISTS V0: P::c7-{T}(V0) ;

   | EXISTS V0: P::c8-{T}(V0) ;

   | EXISTS V0: P::c9-{T}(V0) ;

   | EXISTS V0: P::c10-{T}(V0) ;

   | EXISTS V0: P::c11-{T}(V0) ; 

%simplifiers
   P::f1-{F}(V0,V1,V2), P::f1-{F}(V0,V1,V5), V2 == V5 ; 
   P::c2-{F}(V0), P::c2-{F}(V1), V0 == V1 ; 
   P::f4-{F}(V0,V1), P::f4-{F}(V0,V3), V1 == V3 ; 
   P::f3-{F}(V0,V1,V2), P::f3-{F}(V0,V1,V5), V2 == V5 ; 
   P::c9-{F}(V0), P::c9-{F}(V1), V0 == V1 ; 
   P::c10-{F}(V0), P::c10-{F}(V1), V0 == V1 ; 
   P::c11-{F}(V0), P::c11-{F}(V1), V0 == V1 ; 
   P::c7-{F}(V0), P::c7-{F}(V1), V0 == V1 ; 
   P::c8-{F}(V0), P::c8-{F}(V1), V0 == V1 ; 
   P::c5-{F}(V0), P::c5-{F}(V1), V0 == V1 ; 
   P::c6-{F}(V0), P::c6-{F}(V1), V0 == V1 ; 


