
// One of the original test problems.
//    (A = B, B = C implies s(A) = s(C))

%name 'reflexivity';

%signature
   A / 1;
   B / 1;
   C / 1;
   S / 2;

%rulesystem
    | EXISTS V0: A-{T}(V0);
   FALSE | EXISTS V0: B-{T}(V0);
   FALSE | EXISTS V0: C-{T}(V0);
   #-{F} V0 | EXISTS V1: S-{T}(V0,V1);
   A-{F}(V0), B-{F}(V1), V0 == V1 ;
   B-{F}(V0), C-{F}(V1), V0 == V1 ;
   A-{F}(V0), S-{F}(V0,V2), B-{F}(V1), S-{F}(V1,V2) | FALSE;

%simplifiers
   A-{F}(V0), A-{F}(V1), V0 == V1 ;
   B-{F}(V0), B-{F}(V1), V0 == V1 ;
   C-{F}(V0), C-{F}(V1), V0 == V1 ;
   S-{F}(V0,V1), S-{F}(V0,V2), V1 == V2 ;



