
%name 'subst';

%signature 
   V / 1;
   P :: appl / 3;
   P :: subst / 3;

   pppp0 / 5;
   pppp1 / 5;
   pppp2 / 4;
   pppp3 / 2;
   pppp4 / 1;

%rulesystem
   V-{F}(V2), V-{F}(V1), P::subst-{F}(V1,V2,V3), V-{F}(V0), V0 == V1, 
   P::appl-{F}(V3,V0,V4), V4 == V0 ;

   V-{F}(V1), V-{F}(V2), P::subst-{F}(V1,V2,V3), P::appl-{F}(V3,V1,V4), 
   V4 == V2 ;

   FALSE | EXISTS V0: pppp4-{T}(V0) ; 

   pppp4-{F}(V0) | EXISTS V1: pppp3-{T}(V1,V0) ;

   pppp4-{F}(V0) | V-{T}(V0) ; 

   pppp3-{F}(V0,V1), P::subst-{F}(V0,V1,V2) 
                                  | EXISTS V3: pppp2-{T}(V3,V0,V1,V2) ;

   pppp3-{F}(V0,V1), P::subst-{F}(V0,V1,V2) | V-{T}(V0) ; 

   pppp2-{F}(V0,V1,V2,V3) | EXISTS V4: pppp1-{T}(V4,V0,V1,V2,V3) ; 

   pppp2-{F}(V0,V1,V2,V3) | V-{T}(V0) ; 

   P::subst-{F}(V0,V1,V5), P::appl-{F}(V5,V2,V6), P::appl-{F}(V5,V3,V7),  
   P::subst-{F}(V6,V7,V8), pppp1-{F}(V0,V1,V2,V3,V4), P::subst-{F}(V10,V9,V11)
                             | EXISTS V12: pppp0-{T}(V12,V5,V8,V11,V4) ; 

   P::subst-{F}(V0,V1,V5), P::appl-{F}(V5,V2,V6), pppp1-{F}(V0,V1,V2,V3,V4), 
   P::appl-{F}(V5,V3,V7), P::subst-{F}(V6,V7,V8), P::subst-{F}(V10,V9,V11) 
                             | V-{T}(V10) ; 

   P::subst-{F}(V0,V1,V5), P::appl-{F}(V5,V2,V6), pppp1-{F}(V0,V1,V2,V3,V4), 
   P::appl-{F}(V5,V3,V7), P::subst-{F}(V6,V7,V8), #-{F} V9 | V-{T}(V9) ; 

   P::subst-{F}(V0,V1,V5), P::subst-{F}(V5,V2,V6), P::appl-{F}(V5,V3,V7), 
   P::subst-{F}(V6,V7,V8), pppp1-{F}(V0,V1,V2,V3,V4) | V-{T}(V0) ; 

   P::appl-{F}(V1,V0,V5), P::appl-{F}(V2,V5,V8), pppp0-{F}(V0,V1,V2,V3,V4), 
   P::appl-{F}(V4,V0,V7), P::appl-{F}(V3,V7,V8) ; 

   P::appl-{F}(V1,V0,V5), P::appl-{F}(V2,V5,V6), pppp0-{F}(V0,V1,V2,V3,V4), 
   P::appl-{F}(V4,V0,V7), P::appl-{F}(V3,V7,V8) | V-{T}(V0) ; 

   #-{F} V0, #-{F} V1 | EXISTS V2: P::subst-{T}(V0,V1,V2) ;

   #-{F} V0, #-{F} V1 | EXISTS V2: P::appl-{T}(V0,V1,V2) ;

%simplifiers
   P::appl-{F}(V0,V1,V2), P::appl-{F}(V0,V1,V5), V2 == V5 ; 
   P::subst-{F}(V0,V1,V2), P::subst-{F}(V0,V1,V5), V2 == V5 ; 
   pppp0-{F}(V0,V1,V2,V3,V4), pppp0-{F}(V5,V1,V2,V3,V4), V0 == V5 ; 
   pppp1-{F}(V0,V1,V2,V3,V4), pppp1-{F}(V5,V1,V2,V3,V4), V0 == V5 ; 
   pppp1-{F}(V0,V1,V2,V3,V4), pppp1-{F}(V5,V6,V2,V3,V4), V1 == V6 ; 
   pppp1-{F}(V0,V1,V2,V3,V4), pppp1-{F}(V5,V6,V7,V3,V9), V2 == V7 ; 
   pppp1-{F}(V0,V1,V2,V3,V4), pppp1-{F}(V5,V6,V7,V8,V9), V3 == V8 ; 
   pppp1-{F}(V0,V1,V2,V3,V4), pppp1-{F}(V5,V6,V2,V3,V9), V4 == V9 ; 
   pppp2-{F}(V0,V1,V2,V3), pppp2-{F}(V4,V1,V2,V3), V0 == V4 ; 
   pppp2-{F}(V0,V1,V2,V3), pppp2-{F}(V4,V5,V2,V7), V1 == V5 ; 
   pppp2-{F}(V0,V1,V2,V3), pppp2-{F}(V4,V5,V6,V7), V2 == V6 ; 
   pppp2-{F}(V0,V1,V2,V3), pppp2-{F}(V4,V1,V2,V7), V3 == V7 ; 
   pppp3-{F}(V0,V1), pppp3-{F}(V2,V1), V0 == V2 ; 
   pppp3-{F}(V0,V1), pppp3-{F}(V2,V3), V1 == V3 ; 
   pppp4-{F}(V0), pppp4-{F}(V1), V0 == V1 ; 

%eof


